iMac G4 Power PC

Ken Ryder's Avatar

Ken Ryder

15 Feb, 2018 01:14 PM

I am trying to download "TenFourFox" onto my iMac G4 power PC 800Mhz (7450).
I am running Tiger OS X 10.4.11 and my one and only browser, Safari ver.4.1.3 (4533.19.4).
My problem is that went I click on any download link for "TenFourFox" wether they be in "Sourceforge.com" or "Floodgap.com" a message pops up saying "Safari can't open the page because Safari can't establish secure connection to the server".
I have tried clearing the cache and the history but I still keep on receiving the same message.
I hope that you Guy have a fix for this and so I look forward to hearing from you.
                  Always Regards - Ken.

  1. Support Staff 1 Posted by Cameron Kaiser on 15 Feb, 2018 10:31 PM

    Cameron Kaiser's Avatar

    It is possible that Safari 4 is too old to talk to Sourceforge, but it's very unlikely to get that message from Floodgap -- we don't force people to use TLS. Are you sure the URL is

    http://www.floodgap.com/software/tenfourfox/

    ? Make sure it's http, not https. If that is the address and you're getting that message, there may be something wrong with either your computer's clock or with your network.

    If even that isn't the case, the only other recommendation I could make is trying to download TenFourFox on another computer.

  2. 2 Posted by Ken on 17 Feb, 2018 05:27 PM

    Ken's Avatar

    Hi, Many thank for getting back to me, I now find that I can access "floodgate.com" but when I click on the link that is supposed to take me to sourceforge download link for "TenFourFox" for 7450 (G4e) the URL line populates with the address but after a pause I still get the message "Safari can't open the page because Safari can't establish a secure connection to the server"
    If you can help that would be great, Regards - Ken

  3. Support Staff 3 Posted by Cameron Kaiser on 17 Feb, 2018 06:27 PM

    Cameron Kaiser's Avatar

    I just checked this. Unfortunately, it looks like Safari 4 is too old to support downloads from SourceForge.

    In the short term you will need to download it on a later computer and copy it to this Mac on a USB key or CD-R.

    I'll look into seeing if we can make an installer to download for older Tiger systems, but this won't be ready for a little while.

  4. Support Staff 4 Posted by Chris (chtrusch... on 17 Feb, 2018 06:42 PM

    Chris (chtrusch)'s Avatar

    As Cameron said, download it from another computer (a G4 or G5 with Mac OS X 10.5 will work, or any newer Windows, Intel OS X or Linux computer).

    There is no browser for 10.4 that can connect successfully to https://sourceforge.net today other than a recent version of TenFourFox. I tried Opera 10.6, TenFourFox 24 (which would be on Google Code still), Classilla, SeaMonkey 2.18 and others, no luck. If you can, you might consider upgrading your iMac to 10.5 (it's borderline slow, though), for a slightly better choice of browsers.

    Update: I must amend my statement "a G4 or G5 with Mac OS X 10.5 will work" above. => downloading with 10.5 (Safari) will work only if a recent version of Leopard Webkit is installed. Sorry for the confusion.

  5. Support Staff 5 Posted by Cameron Kaiser on 17 Feb, 2018 06:48 PM

    Cameron Kaiser's Avatar

    I was afraid of that. I'll track the installer as a higher priority issue here: https://github.com/classilla/tenfourfox/issues/476

  6. 6 Posted by Ken on 19 Feb, 2018 02:25 PM

    Ken's Avatar

    Thanks Guys, I did what you both suggested, I downloaded TenFourFox using a MacBook Pro then formatted a new memory stick,( extended journal) dragged the file on to it, ejected the stick from the MacBook, plugged it into my wonderful old iMac G4, double clicked on the stick when it appeared on the desktop, dragged the T.F.F. file off it straight into applications, dragged from applications to dock, clicked to open walla, job done, I hope.
    It seems to be fine, does that sound OK to you guys ?
    Always Regards - Ken

  7. Support Staff 7 Posted by Cameron Kaiser on 19 Feb, 2018 04:54 PM

    Cameron Kaiser's Avatar

    Yes, that should work fine. There are other reports coming in on this topic, so after the FPR6 beta launches, this will be my highest priority.

  8. 8 Posted by Jacques on 02 Mar, 2018 05:18 PM

    Jacques's Avatar

    Hello,
    I write in french, sorry my english isn't so good for explaining me about this subject!
    Je suis dans le même cas de figure matérielle que Ken (j'utilise un G4 bi-pro 867Mgz-Power PC, en système Tiger OS 10.4.11), mais j'ai réussi à installer TenFourFox 45.9.0 avec FireFox v.3.0.2 ; seulement maintenant je n'arrive pas à installer la mise à jour (upgrade to TFF v.7450-FPR5)..
    Dois-je utiliser TFF Downloader pour l'installer ?
    Merci pour votre aide
    jacques

  9. 9 Posted by AtaruBarreau on 02 Mar, 2018 05:28 PM

    AtaruBarreau's Avatar

    @Jacques Je crois que le TFF peut aidé après je ne comprends pas exactement pourquoi il y as un problème de prime abord.

  10. Support Staff 10 Posted by Chris (chtrusch... on 02 Mar, 2018 05:46 PM

    Chris (chtrusch)'s Avatar

    Hello Jacques, do you have a problem *downloading* TenFourFox FPR5 from SourceForge or a problem *installing* it on your computer?

  11. Support Staff 11 Posted by Cameron Kaiser on 03 Mar, 2018 02:47 AM

    Cameron Kaiser's Avatar

    Jacques, 45.9.0 should be capable of downloading FPR5. If you encounter other errors, please post them here.

    For others in this thread, the Downloader is now live. There are some minor changes from the SourceForge beta, so you should use the one directly linked from tenfourfox.com.

  12. 12 Posted by Jacques on 03 Mar, 2018 02:49 PM

    Jacques's Avatar

    En effet, je ne peux pas "downloading" la mise à jour de TFF FPR5 directement, mais j'ai pu télécharger l'application TenFourFoxDownloader.app (version 1.0 copyright 2018 de Cameron Kaiser).
    Ma question est: dois-je utiliser ce Downloader pour mettre à jour (upgrader) ma version TFF 45.9.0 vers FPR5 ?
    merci pour vos réponses..
    jacques

  13. Support Staff 13 Posted by Chris (chtrusch... on 03 Mar, 2018 05:02 PM

    Chris (chtrusch)'s Avatar

    Jaques, the short answer is: Yes, you can use TenFourFoxDownloader to download the FPR5 update.

  14. 14 Posted by Jacques on 06 Mar, 2018 03:47 PM

    Jacques's Avatar

    Bonjour,
    Après avoir vérifié la compatibilité de FPR5 en lisant les informations sur votre site Tenfourfox: "Hashes/ How to verify a tenFourFox package/Stable release hashes.."
    J'ai finalement bien installé FPR5, par l'intermédiaire de TenFourFoxDownloader.app, après avoir placé la mise à jour dans les applications.
    cela à l'air de fonctionner normalement (et plus rapidement qu'avant..)
    merci pour vos conseils d'experts!
    jacques

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

20 May, 2018 12:20 AM
19 May, 2018 07:56 AM
18 May, 2018 02:52 PM
18 May, 2018 02:51 PM
14 May, 2018 03:59 AM